EnKash Developer Portal
Home
Home
Login
  1. Refund
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
    • Get Dynamic UPI QR
    • Create Order
    • Get Order Status
    • Get Order By Merchant Order Id
    • Get BNPL Payment Methods
    • Search Order
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Notify Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
      POST
    • Get Refund Transaction Status
      GET
    • Refund Webhook Request
      POST
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
    • Get UPI QR
    • Search UPI QR
    • Create Customer
    • Search Customer
    • Cancel UPI QR
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Webhook Request
    • Get Payment Link Details
    • Delete Payment Link
  • E-Collect
    • Create Virtual Account
    • View Virtual Account by Id
    • Update Virtual Account
    • View Virtual Account by Account Number
    • Search Virtual Account
    • Search Transactions
    • View Virtual Account by Customer Reference Id
  1. Refund

Refund Webhook Request

POST
merchant_url
📌
Use this API to receive payment status notifications from Enkash. You must develop this API on your backend to handle incoming payment updates (such as success or failure). Provide the endpoint URL in the Create Order API so Enkash can notify your system when the payment status changes.

Request

Body Params application/json

Example
{
    "surcharge": 0.0000,
    "surchargeGst": 0.0000,
    "amount": "500.00",
    "finalAmount": "500.00",
    "paymentMode": "PREPAID_CARD",
    "bankCode": null,
    "bankName": null,
    "cardScheme": null,
    "currency": "INR",
    "checksum": null,
    "status": "SUCCESS",
    "transactionId": "EK1738916997652yh8GL",
    "txnMsg": "Transaction successful.",
    "txnDate": "2025-02-07 14:00:05",
    "uniqueTransactionId": "EK66674UU7T",
    "maskedCardNumber": "XXXX XXXX XXXX 9015",
    "cardHolderName": "NA",
    "paymentToken": "9ceac38e65db443d5f48",
    "bankTransactionId": null,
    "mdr": null,
    "mdrGst": null,
    "transactionAmount": null,
    "orderId": null,
    "orderStatus": null,
    "transactionStatus": null
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://olympus-pg-uat.enkash.inmerchant_url' \
--header 'Content-Type: application/json' \
--data '{
    "surcharge": 0.0000,
    "surchargeGst": 0.0000,
    "amount": "500.00",
    "finalAmount": "500.00",
    "paymentMode": "PREPAID_CARD",
    "bankCode": null,
    "bankName": null,
    "cardScheme": null,
    "currency": "INR",
    "checksum": null,
    "status": "SUCCESS",
    "transactionId": "EK1738916997652yh8GL",
    "txnMsg": "Transaction successful.",
    "txnDate": "2025-02-07 14:00:05",
    "uniqueTransactionId": "EK66674UU7T",
    "maskedCardNumber": "XXXX XXXX XXXX 9015",
    "cardHolderName": "NA",
    "paymentToken": "9ceac38e65db443d5f48",
    "bankTransactionId": null,
    "mdr": null,
    "mdrGst": null,
    "transactionAmount": null,
    "orderId": null,
    "orderStatus": null,
    "transactionStatus": null
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2025-10-30 13:10:43
Previous
Get Refund Transaction Status
Next
Settlement
Built with